import { LitElement } from 'lit';
export declare const ICON_BUFFER = "icon-buffer";
export declare class IconBufferComponent extends LitElement {
    static readonly defaultTagName = "icon-buffer";
    static styles: any;
    size?: string;
    scheme?: string;
    private rootClassesParts;
    willUpdate(): void;
    protected render(): any;
}
